/**
 * Copyright (c) 2018 人人开源 All rights reserved.
 *
 * https://www.renren.io
 *
 * 版权所有，侵权必究！
 */

package io.renren.entity;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import java.io.Serializable;

/**
 * 一卡通服务端应答信息
 *
 * @author nichun
 */
public class CardEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * api对应的接口
	 */
	private String api;
	/**
	 * 服务器unix时间
	 */
	private Long time;
	/**
	 * 随机字符串
	 */
	private String noncestr;
	/**
	 * 设备的心跳间隔
	 */
	private Long interval;
	/**
	 * 签名
	 */
	private String sign;

	/**
	 * 通讯id
	 */
	private String transaction_id;

	/**
	 * 待机界面时，显示到主界面中间位置，注：仅设置为取餐消费机时才有此功能
	 */
	private String setmname;

	/**
	 * 服务器已保存的id号，设备收到后根据此id对记录做已采集的标记
	 */
	private JSONArray records;

	/**
	 * 名单明细
	 */
	private JSONArray whitelist;

	/**
	 * 设备参数
	 */
	private JSONArray dev_set;

	/**
	 * 支付宝支付参数
	 */
	private JSONObject zfb;

	/**
	 * weixin
	 */
	private JSONObject weixin;

	/**
	 * 时间段
	 */
	private JSONArray time_period;

	private String url;

	private String result_code;

	private String result_msg;


	public String getApi() {
		return api;
	}

	public void setApi(String api) {
		this.api = api;
	}

	public Long getTime() {
		return time;
	}

	public void setTime(Long time) {
		this.time = time;
	}

	public String getNoncestr() {
		return noncestr;
	}

	public void setNoncestr(String noncestr) {
		this.noncestr = noncestr;
	}

	public Long getInterval() {
		return interval;
	}

	public void setInterval(Long interval) {
		this.interval = interval;
	}

	public String getSign() {
		return sign;
	}

	public void setSign(String sign) {
		this.sign = sign;
	}

	public String getTransaction_id() {
		return transaction_id;
	}

	public void setTransaction_id(String transaction_id) {
		this.transaction_id = transaction_id;
	}

	public String getSetmname() {
		return setmname;
	}

	public void setSetmname(String setmname) {
		this.setmname = setmname;
	}

	public JSONArray getRecords() {
		return records;
	}

	public void setRecords(JSONArray records) {
		this.records = records;
	}

	public JSONArray getWhitelist() {
		return whitelist;
	}

	public void setWhitelist(JSONArray whitelist) {
		this.whitelist = whitelist;
	}

	public JSONArray getDev_set() {
		return dev_set;
	}

	public void setDev_set(JSONArray dev_set) {
		this.dev_set = dev_set;
	}

	public JSONObject getZfb() {
		return zfb;
	}

	public void setZfb(JSONObject zfb) {
		this.zfb = zfb;
	}

	public JSONObject getWeixin() {
		return weixin;
	}

	public void setWeixin(JSONObject weixin) {
		this.weixin = weixin;
	}

	public JSONArray getTime_period() {
		return time_period;
	}

	public void setTime_period(JSONArray time_period) {
		this.time_period = time_period;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getResult_code() {
		return result_code;
	}

	public void setResult_code(String result_code) {
		this.result_code = result_code;
	}

	public String getResult_msg() {
		return result_msg;
	}

	public void setResult_msg(String result_msg) {
		this.result_msg = result_msg;
	}
}
